Fix Linux installation after https://codereview.scilab.org/#/c/11481/
[scilab.git] / scilab / modules / api_scilab / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2009 - Digiteo - Allan CORNET
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 ### SOURCES ###
24
25 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
26 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
27 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
28 #
29 # This file must be used under the terms of the CeCILL.
30 # This source file is licensed as described in the file COPYING, which
31 # you should have received as part of this distribution.  The terms
32 # are also available at
33 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
34 #
35
36 ##########
37 ### Makefile included stuff
38 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
39 ##########
40
41
42
43 VPATH = @srcdir@
44 am__make_dryrun = \
45   { \
46     am__dry=no; \
47     case $$MAKEFLAGS in \
48       *\\[\ \   ]*) \
49         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
50           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
51       *) \
52         for am__flg in $$MAKEFLAGS; do \
53           case $$am__flg in \
54             *=*|--*) ;; \
55             *n*) am__dry=yes; break;; \
56           esac; \
57         done;; \
58     esac; \
59     test $$am__dry = yes; \
60   }
61 pkgdatadir = $(datadir)/@PACKAGE@
62 pkgincludedir = $(includedir)/@PACKAGE@
63 pkglibdir = $(libdir)/@PACKAGE@
64 pkglibexecdir = $(libexecdir)/@PACKAGE@
65 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
66 install_sh_DATA = $(install_sh) -c -m 644
67 install_sh_PROGRAM = $(install_sh) -c
68 install_sh_SCRIPT = $(install_sh) -c
69 INSTALL_HEADER = $(INSTALL_DATA)
70 transform = $(program_transform_name)
71 NORMAL_INSTALL = :
72 PRE_INSTALL = :
73 POST_INSTALL = :
74 NORMAL_UNINSTALL = :
75 PRE_UNINSTALL = :
76 POST_UNINSTALL = :
77 build_triplet = @build@
78 host_triplet = @host@
79 DIST_COMMON = $(libsciapi_scilab_la_include_HEADERS) \
80         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
81         $(top_srcdir)/Makefile.incl.am
82 @NEED_JAVA_TRUE@am__append_1 = java
83 subdir = modules/api_scilab
84 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
85 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
86         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
87         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
88         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
89         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
90         $(top_srcdir)/m4/intel_compiler.m4 \
91         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
92         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
93         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
94         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
95         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
96         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
97         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
98         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
99         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
100         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
101         $(top_srcdir)/configure.ac
102 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
103         $(ACLOCAL_M4)
104 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
105 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
106 CONFIG_CLEAN_FILES =
107 CONFIG_CLEAN_VPATH_FILES =
108 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
109 am__vpath_adj = case $$p in \
110     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
111     *) f=$$p;; \
112   esac;
113 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
114 am__install_max = 40
115 am__nobase_strip_setup = \
116   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
117 am__nobase_strip = \
118   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
119 am__nobase_list = $(am__nobase_strip_setup); \
120   for p in $$list; do echo "$$p $$p"; done | \
121   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
122   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
123     if (++n[$$2] == $(am__install_max)) \
124       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
125     END { for (dir in files) print dir, files[dir] }'
126 am__base_list = \
127   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
128   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
129 am__uninstall_files_from_dir = { \
130   test -z "$$files" \
131     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
132     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
133          $(am__cd) "$$dir" && rm -f $$files; }; \
134   }
135 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
136         "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" \
137         "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" \
138         "$(DESTDIR)$(libsciapi_scilab_la_includedir)"
139 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
140 libsciapi_scilab_la_DEPENDENCIES =
141 am__objects_1 = libsciapi_scilab_la-api_boolean.lo \
142         libsciapi_scilab_la-api_boolean_sparse.lo \
143         libsciapi_scilab_la-api_common.lo \
144         libsciapi_scilab_la-api_double.lo \
145         libsciapi_scilab_la-api_int.lo libsciapi_scilab_la-api_list.lo \
146         libsciapi_scilab_la-api_poly.lo \
147         libsciapi_scilab_la-api_sparse.lo \
148         libsciapi_scilab_la-api_string.lo \
149         libsciapi_scilab_la-api_pointer.lo \
150         libsciapi_scilab_la-api_handle.lo \
151         libsciapi_scilab_la-api_error.lo \
152         libsciapi_scilab_la-api_optional.lo \
153         libsciapi_scilab_la-api_hypermat.lo
154 am_libsciapi_scilab_la_OBJECTS = $(am__objects_1)
155 libsciapi_scilab_la_OBJECTS = $(am_libsciapi_scilab_la_OBJECTS)
156 @MAINTAINER_MODE_FALSE@am_libsciapi_scilab_la_rpath =
157 @MAINTAINER_MODE_TRUE@am_libsciapi_scilab_la_rpath = -rpath \
158 @MAINTAINER_MODE_TRUE@  $(pkglibdir)
159 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
160 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
161 am__depfiles_maybe = depfiles
162 am__mv = mv -f
163 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
164         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
165 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
166         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
167         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
168 CXXLD = $(CXX)
169 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
170         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
171         $(LDFLAGS) -o $@
172 SOURCES = $(libsciapi_scilab_la_SOURCES)
173 DIST_SOURCES = $(libsciapi_scilab_la_SOURCES)
174 am__can_run_installinfo = \
175   case $$AM_UPDATE_INFO_DIR in \
176     n|no|NO) false;; \
177     *) (install-info --version) >/dev/null 2>&1;; \
178   esac
179 DATA = $(libsciapi_scilab_la_etc_DATA) \
180         $(libsciapi_scilab_la_root_DATA)
181 HEADERS = $(libsciapi_scilab_la_include_HEADERS)
182 ETAGS = etags
183 CTAGS = ctags
184 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
185 ACLOCAL = @ACLOCAL@
186 ALL_LINGUAS = @ALL_LINGUAS@
187 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
188 AMTAR = @AMTAR@
189 ANT = @ANT@
190 ANTLR = @ANTLR@
191 AR = @AR@
192 ARPACK_LIBS = @ARPACK_LIBS@
193 ASM3 = @ASM3@
194 AUTOCONF = @AUTOCONF@
195 AUTOHEADER = @AUTOHEADER@
196 AUTOMAKE = @AUTOMAKE@
197 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
198 AWK = @AWK@
199 BATIK = @BATIK@
200 BLAS_LIBS = @BLAS_LIBS@
201 CC = @CC@
202 CCACHE = @CCACHE@
203 CCDEPMODE = @CCDEPMODE@
204 CFLAGS = @CFLAGS@
205 CHECKSTYLE = @CHECKSTYLE@
206 COBERTURA = @COBERTURA@
207 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
208 COMMONS_IO = @COMMONS_IO@
209 COMMONS_LOGGING = @COMMONS_LOGGING@
210 CPP = @CPP@
211 CPPFLAGS = @CPPFLAGS@
212 CURL_CFLAGS = @CURL_CFLAGS@
213 CURL_CONFIG = @CURL_CONFIG@
214 CURL_LIBS = @CURL_LIBS@
215 CURL_VERSION = @CURL_VERSION@
216 CXX = @CXX@
217 CXXCPP = @CXXCPP@
218 CXXDEPMODE = @CXXDEPMODE@
219 CXXFLAGS = @CXXFLAGS@
220 CYGPATH_W = @CYGPATH_W@
221 DEFS = @DEFS@
222 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
223 DEPDIR = @DEPDIR@
224 DOCBOOK_ROOT = @DOCBOOK_ROOT@
225 DOXYGEN_BIN = @DOXYGEN_BIN@
226 DSYMUTIL = @DSYMUTIL@
227 DUMPBIN = @DUMPBIN@
228 ECHO_C = @ECHO_C@
229 ECHO_N = @ECHO_N@
230 ECHO_T = @ECHO_T@
231 EGREP = @EGREP@
232 EXEEXT = @EXEEXT@
233 F77 = @F77@
234 FFLAGS = @FFLAGS@
235 FFTW3_LIB = @FFTW3_LIB@
236 FFTW_ENABLE = @FFTW_ENABLE@
237 FGREP = @FGREP@
238 FLEXDOCK = @FLEXDOCK@
239 FLIBS = @FLIBS@
240 FOP = @FOP@
241 GENHTML = @GENHTML@
242 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
243 GIWS_BIN = @GIWS_BIN@
244 GLUEGEN2_RT = @GLUEGEN2_RT@
245 GMSGFMT = @GMSGFMT@
246 GMSGFMT_015 = @GMSGFMT_015@
247 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
248 GREP = @GREP@
249 GUI_ENABLE = @GUI_ENABLE@
250 HDF5_CFLAGS = @HDF5_CFLAGS@
251 HDF5_LIBS = @HDF5_LIBS@
252 HELP_ENABLE = @HELP_ENABLE@
253 INSTALL = @INSTALL@
254 INSTALL_DATA = @INSTALL_DATA@
255 INSTALL_PROGRAM = @INSTALL_PROGRAM@
256 INSTALL_SCRIPT = @INSTALL_SCRIPT@
257 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
258 INTLLIBS = @INTLLIBS@
259 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
260 JAR = @JAR@
261 JAVA = @JAVA@
262 JAVAC = @JAVAC@
263 JAVAC_DEBUG = @JAVAC_DEBUG@
264 JAVADOC = @JAVADOC@
265 JAVAH = @JAVAH@
266 JAVASCI_ENABLE = @JAVASCI_ENABLE@
267 JAVA_ENABLE = @JAVA_ENABLE@
268 JAVA_G = @JAVA_G@
269 JAVA_HOME = @JAVA_HOME@
270 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
271 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
272 JDB = @JDB@
273 JEUCLID_CORE = @JEUCLID_CORE@
274 JGRAPHX = @JGRAPHX@
275 JHALL = @JHALL@
276 JLATEXMATH = @JLATEXMATH@
277 JLATEXMATH_FOP = @JLATEXMATH_FOP@
278 JOGL2 = @JOGL2@
279 JROSETTA_API = @JROSETTA_API@
280 JROSETTA_ENGINE = @JROSETTA_ENGINE@
281 JUNIT4 = @JUNIT4@
282 LAPACK_LIBS = @LAPACK_LIBS@
283 LCOV = @LCOV@
284 LD = @LD@
285 LDFLAGS = @LDFLAGS@
286 LIBICONV = @LIBICONV@
287 LIBINTL = @LIBINTL@
288 LIBM = @LIBM@
289 LIBOBJS = @LIBOBJS@
290 LIBS = @LIBS@
291 LIBTOOL = @LIBTOOL@
292 LIPO = @LIPO@
293 LN_S = @LN_S@
294 LOGGING_LEVEL = @LOGGING_LEVEL@
295 LOOKS = @LOOKS@
296 LTLIBICONV = @LTLIBICONV@
297 LTLIBINTL = @LTLIBINTL@
298 LTLIBOBJS = @LTLIBOBJS@
299 MAINT = @MAINT@
300 MAKEINFO = @MAKEINFO@
301 MATIO_CFLAGS = @MATIO_CFLAGS@
302 MATIO_ENABLE = @MATIO_ENABLE@
303 MATIO_LIBS = @MATIO_LIBS@
304 MKDIR_P = @MKDIR_P@
305 MSGCAT = @MSGCAT@
306 MSGFMT = @MSGFMT@
307 MSGFMT_015 = @MSGFMT_015@
308 MSGMERGE = @MSGMERGE@
309 NM = @NM@
310 NMEDIT = @NMEDIT@
311 OBJDUMP = @OBJDUMP@
312 OBJEXT = @OBJEXT@
313 OCAMLC = @OCAMLC@
314 OCAMLDEP = @OCAMLDEP@
315 OCAMLLEX = @OCAMLLEX@
316 OCAMLOPT = @OCAMLOPT@
317 OCAMLYACC = @OCAMLYACC@
318 OPENMP_CFLAGS = @OPENMP_CFLAGS@
319 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
320 OPENMP_ENABLE = @OPENMP_ENABLE@
321 OPENMP_LIBS = @OPENMP_LIBS@
322 OTOOL = @OTOOL@
323 OTOOL64 = @OTOOL64@
324 PACKAGE = @PACKAGE@
325 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
326 PACKAGE_NAME = @PACKAGE_NAME@
327 PACKAGE_STRING = @PACKAGE_STRING@
328 PACKAGE_TARNAME = @PACKAGE_TARNAME@
329 PACKAGE_URL = @PACKAGE_URL@
330 PACKAGE_VERSION = @PACKAGE_VERSION@
331 PATH_SEPARATOR = @PATH_SEPARATOR@
332 PCRE_CFLAGS = @PCRE_CFLAGS@
333 PCRE_CONFIG = @PCRE_CONFIG@
334 PCRE_LIBS = @PCRE_LIBS@
335 PCRE_VERSION = @PCRE_VERSION@
336 PKG_CONFIG = @PKG_CONFIG@
337 POSUB = @POSUB@
338 POW_LIB = @POW_LIB@
339 PYTHON = @PYTHON@
340 RANLIB = @RANLIB@
341 RELOCATABLE = @RELOCATABLE@
342 RT_LIB = @RT_LIB@
343 SAXON = @SAXON@
344 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
345 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
346 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
347 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
348 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
349 SCIRENDERER = @SCIRENDERER@
350 SCIRENDERER_CP = @SCIRENDERER_CP@
351 SCI_CFLAGS = @SCI_CFLAGS@
352 SCI_CXXFLAGS = @SCI_CXXFLAGS@
353 SCI_FFLAGS = @SCI_FFLAGS@
354 SCI_LDFLAGS = @SCI_LDFLAGS@
355 SED = @SED@
356 SET_MAKE = @SET_MAKE@
357 SET_RELOCATABLE = @SET_RELOCATABLE@
358 SHELL = @SHELL@
359 SKINLF = @SKINLF@
360 SPLINT = @SPLINT@
361 STRIP = @STRIP@
362 SWIG_BIN = @SWIG_BIN@
363 SWIG_JAVA = @SWIG_JAVA@
364 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
365 TCLTK_LIBS = @TCLTK_LIBS@
366 TCL_INC_PATH = @TCL_INC_PATH@
367 TK_INC_PATH = @TK_INC_PATH@
368 UMFPACK_ENABLE = @UMFPACK_ENABLE@
369 UMFPACK_LIB = @UMFPACK_LIB@
370 USE_NLS = @USE_NLS@
371 VERSION = @VERSION@
372 WITH_OCAML = @WITH_OCAML@
373 WITH_TKSCI = @WITH_TKSCI@
374 XCOS_ENABLE = @XCOS_ENABLE@
375 XGETTEXT = @XGETTEXT@
376 XGETTEXT_015 = @XGETTEXT_015@
377 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
378 XMKMF = @XMKMF@
379 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
380 XML_APIS_EXT = @XML_APIS_EXT@
381 XML_CONFIG = @XML_CONFIG@
382 XML_FLAGS = @XML_FLAGS@
383 XML_LIBS = @XML_LIBS@
384 XML_VERSION = @XML_VERSION@
385 X_CFLAGS = @X_CFLAGS@
386 X_EXTRA_LIBS = @X_EXTRA_LIBS@
387 X_LIBS = @X_LIBS@
388 X_PRE_LIBS = @X_PRE_LIBS@
389 abs_builddir = @abs_builddir@
390 abs_srcdir = @abs_srcdir@
391 abs_top_builddir = @abs_top_builddir@
392 abs_top_srcdir = @abs_top_srcdir@
393 ac_ct_CC = @ac_ct_CC@
394 ac_ct_CXX = @ac_ct_CXX@
395 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
396 ac_ct_F77 = @ac_ct_F77@
397 am__include = @am__include@
398 am__leading_dot = @am__leading_dot@
399 am__quote = @am__quote@
400 am__tar = @am__tar@
401 am__untar = @am__untar@
402 bindir = @bindir@
403 build = @build@
404 build_alias = @build_alias@
405 build_cpu = @build_cpu@
406 build_os = @build_os@
407 build_vendor = @build_vendor@
408 builddir = @builddir@
409 cxx_present = @cxx_present@
410 datadir = @datadir@
411 datarootdir = @datarootdir@
412 docdir = @docdir@
413 dvidir = @dvidir@
414 exec_prefix = @exec_prefix@
415 host = @host@
416 host_alias = @host_alias@
417 host_cpu = @host_cpu@
418 host_os = @host_os@
419 host_vendor = @host_vendor@
420 htmldir = @htmldir@
421 includedir = @includedir@
422 infodir = @infodir@
423 install_sh = @install_sh@
424 libdir = @libdir@
425 libexecdir = @libexecdir@
426 localedir = @localedir@
427 localstatedir = @localstatedir@
428 mandir = @mandir@
429 mkdir_p = @mkdir_p@
430 oldincludedir = @oldincludedir@
431 pdfdir = @pdfdir@
432 prefix = @prefix@
433 program_transform_name = @program_transform_name@
434 psdir = @psdir@
435 sbindir = @sbindir@
436 sharedstatedir = @sharedstatedir@
437 srcdir = @srcdir@
438 sysconfdir = @sysconfdir@
439 target_alias = @target_alias@
440 top_build_prefix = @top_build_prefix@
441 top_builddir = @top_builddir@
442 top_srcdir = @top_srcdir@
443 API_SCILAB_CXX_SOURCES = src/cpp/api_boolean.cpp \
444 src/cpp/api_boolean_sparse.cpp \
445 src/cpp/api_common.cpp \
446 src/cpp/api_double.cpp \
447 src/cpp/api_int.cpp \
448 src/cpp/api_list.cpp \
449 src/cpp/api_poly.cpp \
450 src/cpp/api_sparse.cpp \
451 src/cpp/api_string.cpp \
452 src/cpp/api_pointer.cpp \
453 src/cpp/api_handle.cpp \
454 src/cpp/api_error.cpp \
455 src/cpp/api_optional.cpp \
456 src/cpp/api_hypermat.cpp
457
458 libsciapi_scilab_la_CPPFLAGS = -I$(srcdir)/includes/ \
459 -I$(srcdir)/src/cpp/ \
460 -I$(top_srcdir)/modules/core/includes/ \
461 -I$(top_srcdir)/modules/call_scilab/includes/ \
462 -I$(top_srcdir)/modules/localization/includes/ \
463 -I$(top_srcdir)/modules/output_stream/includes/ \
464 -I$(top_srcdir)/modules/string/includes/ \
465 $(AM_CPPFLAGS)
466
467 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libsciapi_scilab.la
468 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libsciapi_scilab.la
469 libsciapi_scilab_la_SOURCES = $(API_SCILAB_C_SOURCES) $(API_SCILAB_CXX_SOURCES)
470
471 # For the code check (splint)
472 CHECK_SRC = $(libsciapi_scilab_la_SOURCES)
473 INCLUDE_FLAGS = $(libsciapi_scilab_la_CPPFLAGS)
474 libsciapi_scilab_la_LIBADD = 
475 #
476
477 #### Target ######
478 modulename = api_scilab
479
480 #### api_scilab : Conf files ####
481 libsciapi_scilab_la_rootdir = $(mydatadir)
482 libsciapi_scilab_la_root_DATA = license.txt
483
484 #### api_scilab : init scripts ####
485 libsciapi_scilab_la_etcdir = $(mydatadir)/etc
486 libsciapi_scilab_la_etc_DATA = etc/api_scilab.quit etc/api_scilab.start
487
488 #### api_scilab : include files ####
489 libsciapi_scilab_la_includedir = $(pkgincludedir)
490 libsciapi_scilab_la_include_HEADERS = includes/api_boolean.h \
491 includes/api_boolean_sparse.h \
492 includes/api_common.h \
493 includes/api_error.h \
494 includes/api_double.h \
495 includes/api_hypermat.h \
496 includes/api_int.h \
497 includes/api_list.h \
498 includes/api_pointer.h \
499 includes/api_poly.h \
500 includes/api_sparse.h \
501 includes/api_string.h \
502 includes/api_handle.h \
503 includes/api_optional.h \
504 includes/api_scilab.h
505
506
507 # Where all the Scilab stuff is installed (macros, help, ...)
508 mydatadir = $(pkgdatadir)/modules/$(modulename)
509
510 # Set AM_* SCI detected settings
511 AM_CPPFLAGS = $(SCI_CPPFLAGS)
512 AM_CFLAGS = $(SCI_CFLAGS)
513 AM_CXXFLAGS = $(SCI_CXXFLAGS)
514 # append includes to AM_FFLAGS to manage fortran includes
515 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
516
517 # Tag shared libraries with the Scilab version
518 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
519
520 # splint options
521 SPLINT_OPTIONS = -weak -booltype BOOL
522
523 ########################### JAVA ######################################
524 #### We are delegating java compilation to ant... Thanks to that
525 #### the procedure will be the same with Microsoft Windows (C)
526 #### and Linux/Unix
527 #######################################################################
528 TARGETS_ALL = $(am__append_1)
529
530 ################ MACROS ######################
531 # Rule to build a macro
532 # NOT USED  AT THE MOMENT
533 SUFFIXES = .sci 
534
535 ########### INSTALL DOCUMENTATION ###################
536
537 # Install documentation files into the right target
538 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
539 # automake needs the html files to be present which is not the case when
540 # we are building Scilab
541
542 # Where it should be installed
543 pkgdocdir = $(mydatadir)
544
545 # What is the mask of the help source
546 DOCMASKXML = *.xml
547
548 # What is the mask of the MathML sources
549 DOCMASKMML = *.mml
550
551 ########### INSTALL DATA ###################
552 # Install macros, help & demos
553 # Where it should be installed
554 pkgmacrosdir = $(mydatadir)
555 # Which directory we process
556 MACRODIRS = macros/
557 # Mask of the Scilab sources macros
558 MACROMASK = *.sci
559 # Mask of the Scilab executable sources macros
560 MACROBUILDMASK = *.sce
561 # Mask of the Scilab compiled macros
562 MACROBINMASK = *.bin
563 # List of the standard directory for tests
564 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
565 # Where the demos should be installed
566 pkgdemosdir = $(mydatadir)
567 # List of the standard directory for demos
568 DEMOS_DIR = demos
569 # List of the standard directory for examples
570 EXAMPLES_DIR = examples
571 # Where to export JAVA archives (.jar)
572 JARDIR = jar/
573 # JAR files mask
574 JARMASK = *.jar
575 # Chapter file 
576 HELP_CHAPTERDIR = help/
577 HELP_CHAPTERFILE = addchapter.sce
578 HELP_CHAPTERLANG = en_US fr_FR pt_BR
579 all: all-am
580
581 .SUFFIXES:
582 .SUFFIXES: .sci .bin .cpp .lo .o .obj
583 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
584         @for dep in $?; do \
585           case '$(am__configure_deps)' in \
586             *$$dep*) \
587               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
588                 && { if test -f $@; then exit 0; else break; fi; }; \
589               exit 1;; \
590           esac; \
591         done; \
592         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/api_scilab/Makefile'; \
593         $(am__cd) $(top_srcdir) && \
594           $(AUTOMAKE) --foreign modules/api_scilab/Makefile
595 .PRECIOUS: Makefile
596 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
597         @case '$?' in \
598           *config.status*) \
599             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
600           *) \
601             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
602             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
603         esac;
604 $(top_srcdir)/Makefile.incl.am:
605
606 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
607         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
608
609 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
610         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
611 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
612         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
613 $(am__aclocal_m4_deps):
614
615 clean-noinstLTLIBRARIES:
616         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
617         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
618           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
619           test "$$dir" != "$$p" || dir=.; \
620           echo "rm -f \"$${dir}/so_locations\""; \
621           rm -f "$${dir}/so_locations"; \
622         done
623 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
624         @$(NORMAL_INSTALL)
625         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
626         list2=; for p in $$list; do \
627           if test -f $$p; then \
628             list2="$$list2 $$p"; \
629           else :; fi; \
630         done; \
631         test -z "$$list2" || { \
632           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
633           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
634           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
635           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
636         }
637
638 uninstall-pkglibLTLIBRARIES:
639         @$(NORMAL_UNINSTALL)
640         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
641         for p in $$list; do \
642           $(am__strip_dir) \
643           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
644           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
645         done
646
647 clean-pkglibLTLIBRARIES:
648         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
649         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
650           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
651           test "$$dir" != "$$p" || dir=.; \
652           echo "rm -f \"$${dir}/so_locations\""; \
653           rm -f "$${dir}/so_locations"; \
654         done
655 libsciapi_scilab.la: $(libsciapi_scilab_la_OBJECTS) $(libsciapi_scilab_la_DEPENDENCIES) $(EXTRA_libsciapi_scilab_la_DEPENDENCIES) 
656         $(CXXLINK) $(am_libsciapi_scilab_la_rpath) $(libsciapi_scilab_la_OBJECTS) $(libsciapi_scilab_la_LIBADD) $(LIBS)
657
658 mostlyclean-compile:
659         -rm -f *.$(OBJEXT)
660
661 distclean-compile:
662         -rm -f *.tab.c
663
664 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_boolean.Plo@am__quote@
665 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_boolean_sparse.Plo@am__quote@
666 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_common.Plo@am__quote@
667 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_double.Plo@am__quote@
668 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_error.Plo@am__quote@
669 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_handle.Plo@am__quote@
670 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_hypermat.Plo@am__quote@
671 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_int.Plo@am__quote@
672 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_list.Plo@am__quote@
673 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_optional.Plo@am__quote@
674 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_pointer.Plo@am__quote@
675 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_poly.Plo@am__quote@
676 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_sparse.Plo@am__quote@
677 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciapi_scilab_la-api_string.Plo@am__quote@
678
679 .cpp.o:
680 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
681 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
682 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
683 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
684 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
685
686 .cpp.obj:
687 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
688 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
689 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
690 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
691 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
692
693 .cpp.lo:
694 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
695 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
696 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
697 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
698 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
699
700 libsciapi_scilab_la-api_boolean.lo: src/cpp/api_boolean.cpp
701 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_boolean.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_boolean.Tpo -c -o libsciapi_scilab_la-api_boolean.lo `test -f 'src/cpp/api_boolean.cpp' || echo '$(srcdir)/'`src/cpp/api_boolean.cpp
702 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_boolean.Tpo $(DEPDIR)/libsciapi_scilab_la-api_boolean.Plo
703 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_boolean.cpp' object='libsciapi_scilab_la-api_boolean.lo' libtool=yes @AMDEPBACKSLASH@
704 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
705 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_boolean.lo `test -f 'src/cpp/api_boolean.cpp' || echo '$(srcdir)/'`src/cpp/api_boolean.cpp
706
707 libsciapi_scilab_la-api_boolean_sparse.lo: src/cpp/api_boolean_sparse.cpp
708 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_boolean_sparse.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_boolean_sparse.Tpo -c -o libsciapi_scilab_la-api_boolean_sparse.lo `test -f 'src/cpp/api_boolean_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_boolean_sparse.cpp
709 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_boolean_sparse.Tpo $(DEPDIR)/libsciapi_scilab_la-api_boolean_sparse.Plo
710 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_boolean_sparse.cpp' object='libsciapi_scilab_la-api_boolean_sparse.lo' libtool=yes @AMDEPBACKSLASH@
711 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
712 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_boolean_sparse.lo `test -f 'src/cpp/api_boolean_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_boolean_sparse.cpp
713
714 libsciapi_scilab_la-api_common.lo: src/cpp/api_common.cpp
715 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_common.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_common.Tpo -c -o libsciapi_scilab_la-api_common.lo `test -f 'src/cpp/api_common.cpp' || echo '$(srcdir)/'`src/cpp/api_common.cpp
716 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_common.Tpo $(DEPDIR)/libsciapi_scilab_la-api_common.Plo
717 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_common.cpp' object='libsciapi_scilab_la-api_common.lo' libtool=yes @AMDEPBACKSLASH@
718 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
719 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_common.lo `test -f 'src/cpp/api_common.cpp' || echo '$(srcdir)/'`src/cpp/api_common.cpp
720
721 libsciapi_scilab_la-api_double.lo: src/cpp/api_double.cpp
722 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_double.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_double.Tpo -c -o libsciapi_scilab_la-api_double.lo `test -f 'src/cpp/api_double.cpp' || echo '$(srcdir)/'`src/cpp/api_double.cpp
723 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_double.Tpo $(DEPDIR)/libsciapi_scilab_la-api_double.Plo
724 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_double.cpp' object='libsciapi_scilab_la-api_double.lo' libtool=yes @AMDEPBACKSLASH@
725 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
726 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_double.lo `test -f 'src/cpp/api_double.cpp' || echo '$(srcdir)/'`src/cpp/api_double.cpp
727
728 libsciapi_scilab_la-api_int.lo: src/cpp/api_int.cpp
729 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_int.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_int.Tpo -c -o libsciapi_scilab_la-api_int.lo `test -f 'src/cpp/api_int.cpp' || echo '$(srcdir)/'`src/cpp/api_int.cpp
730 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_int.Tpo $(DEPDIR)/libsciapi_scilab_la-api_int.Plo
731 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_int.cpp' object='libsciapi_scilab_la-api_int.lo' libtool=yes @AMDEPBACKSLASH@
732 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
733 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_int.lo `test -f 'src/cpp/api_int.cpp' || echo '$(srcdir)/'`src/cpp/api_int.cpp
734
735 libsciapi_scilab_la-api_list.lo: src/cpp/api_list.cpp
736 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_list.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_list.Tpo -c -o libsciapi_scilab_la-api_list.lo `test -f 'src/cpp/api_list.cpp' || echo '$(srcdir)/'`src/cpp/api_list.cpp
737 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_list.Tpo $(DEPDIR)/libsciapi_scilab_la-api_list.Plo
738 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_list.cpp' object='libsciapi_scilab_la-api_list.lo' libtool=yes @AMDEPBACKSLASH@
739 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
740 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_list.lo `test -f 'src/cpp/api_list.cpp' || echo '$(srcdir)/'`src/cpp/api_list.cpp
741
742 libsciapi_scilab_la-api_poly.lo: src/cpp/api_poly.cpp
743 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_poly.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_poly.Tpo -c -o libsciapi_scilab_la-api_poly.lo `test -f 'src/cpp/api_poly.cpp' || echo '$(srcdir)/'`src/cpp/api_poly.cpp
744 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_poly.Tpo $(DEPDIR)/libsciapi_scilab_la-api_poly.Plo
745 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_poly.cpp' object='libsciapi_scilab_la-api_poly.lo' libtool=yes @AMDEPBACKSLASH@
746 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
747 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_poly.lo `test -f 'src/cpp/api_poly.cpp' || echo '$(srcdir)/'`src/cpp/api_poly.cpp
748
749 libsciapi_scilab_la-api_sparse.lo: src/cpp/api_sparse.cpp
750 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_sparse.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_sparse.Tpo -c -o libsciapi_scilab_la-api_sparse.lo `test -f 'src/cpp/api_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_sparse.cpp
751 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_sparse.Tpo $(DEPDIR)/libsciapi_scilab_la-api_sparse.Plo
752 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_sparse.cpp' object='libsciapi_scilab_la-api_sparse.lo' libtool=yes @AMDEPBACKSLASH@
753 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
754 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_sparse.lo `test -f 'src/cpp/api_sparse.cpp' || echo '$(srcdir)/'`src/cpp/api_sparse.cpp
755
756 libsciapi_scilab_la-api_string.lo: src/cpp/api_string.cpp
757 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_string.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_string.Tpo -c -o libsciapi_scilab_la-api_string.lo `test -f 'src/cpp/api_string.cpp' || echo '$(srcdir)/'`src/cpp/api_string.cpp
758 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_string.Tpo $(DEPDIR)/libsciapi_scilab_la-api_string.Plo
759 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_string.cpp' object='libsciapi_scilab_la-api_string.lo' libtool=yes @AMDEPBACKSLASH@
760 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
761 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_string.lo `test -f 'src/cpp/api_string.cpp' || echo '$(srcdir)/'`src/cpp/api_string.cpp
762
763 libsciapi_scilab_la-api_pointer.lo: src/cpp/api_pointer.cpp
764 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_pointer.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_pointer.Tpo -c -o libsciapi_scilab_la-api_pointer.lo `test -f 'src/cpp/api_pointer.cpp' || echo '$(srcdir)/'`src/cpp/api_pointer.cpp
765 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_pointer.Tpo $(DEPDIR)/libsciapi_scilab_la-api_pointer.Plo
766 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_pointer.cpp' object='libsciapi_scilab_la-api_pointer.lo' libtool=yes @AMDEPBACKSLASH@
767 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
768 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_pointer.lo `test -f 'src/cpp/api_pointer.cpp' || echo '$(srcdir)/'`src/cpp/api_pointer.cpp
769
770 libsciapi_scilab_la-api_handle.lo: src/cpp/api_handle.cpp
771 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_handle.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_handle.Tpo -c -o libsciapi_scilab_la-api_handle.lo `test -f 'src/cpp/api_handle.cpp' || echo '$(srcdir)/'`src/cpp/api_handle.cpp
772 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_handle.Tpo $(DEPDIR)/libsciapi_scilab_la-api_handle.Plo
773 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_handle.cpp' object='libsciapi_scilab_la-api_handle.lo' libtool=yes @AMDEPBACKSLASH@
774 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
775 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_handle.lo `test -f 'src/cpp/api_handle.cpp' || echo '$(srcdir)/'`src/cpp/api_handle.cpp
776
777 libsciapi_scilab_la-api_error.lo: src/cpp/api_error.cpp
778 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_error.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_error.Tpo -c -o libsciapi_scilab_la-api_error.lo `test -f 'src/cpp/api_error.cpp' || echo '$(srcdir)/'`src/cpp/api_error.cpp
779 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_error.Tpo $(DEPDIR)/libsciapi_scilab_la-api_error.Plo
780 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_error.cpp' object='libsciapi_scilab_la-api_error.lo' libtool=yes @AMDEPBACKSLASH@
781 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
782 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_error.lo `test -f 'src/cpp/api_error.cpp' || echo '$(srcdir)/'`src/cpp/api_error.cpp
783
784 libsciapi_scilab_la-api_optional.lo: src/cpp/api_optional.cpp
785 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_optional.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_optional.Tpo -c -o libsciapi_scilab_la-api_optional.lo `test -f 'src/cpp/api_optional.cpp' || echo '$(srcdir)/'`src/cpp/api_optional.cpp
786 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_optional.Tpo $(DEPDIR)/libsciapi_scilab_la-api_optional.Plo
787 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_optional.cpp' object='libsciapi_scilab_la-api_optional.lo' libtool=yes @AMDEPBACKSLASH@
788 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
789 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_optional.lo `test -f 'src/cpp/api_optional.cpp' || echo '$(srcdir)/'`src/cpp/api_optional.cpp
790
791 libsciapi_scilab_la-api_hypermat.lo: src/cpp/api_hypermat.cpp
792 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciapi_scilab_la-api_hypermat.lo -MD -MP -MF $(DEPDIR)/libsciapi_scilab_la-api_hypermat.Tpo -c -o libsciapi_scilab_la-api_hypermat.lo `test -f 'src/cpp/api_hypermat.cpp' || echo '$(srcdir)/'`src/cpp/api_hypermat.cpp
793 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libsciapi_scilab_la-api_hypermat.Tpo $(DEPDIR)/libsciapi_scilab_la-api_hypermat.Plo
794 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/api_hypermat.cpp' object='libsciapi_scilab_la-api_hypermat.lo' libtool=yes @AMDEPBACKSLASH@
795 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
796 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciapi_scilab_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciapi_scilab_la-api_hypermat.lo `test -f 'src/cpp/api_hypermat.cpp' || echo '$(srcdir)/'`src/cpp/api_hypermat.cpp
797
798 mostlyclean-libtool:
799         -rm -f *.lo
800
801 clean-libtool:
802         -rm -rf .libs _libs
803 install-libsciapi_scilab_la_etcDATA: $(libsciapi_scilab_la_etc_DATA)
804         @$(NORMAL_INSTALL)
805         @list='$(libsciapi_scilab_la_etc_DATA)'; test -n "$(libsciapi_scilab_la_etcdir)" || list=; \
806         if test -n "$$list"; then \
807           echo " $(MKDIR_P) '$(DESTDIR)$(libsciapi_scilab_la_etcdir)'"; \
808           $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" || exit 1; \
809         fi; \
810         for p in $$list; do \
811           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
812           echo "$$d$$p"; \
813         done | $(am__base_list) | \
814         while read files; do \
815           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciapi_scilab_la_etcdir)'"; \
816           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" || exit $$?; \
817         done
818
819 uninstall-libsciapi_scilab_la_etcDATA:
820         @$(NORMAL_UNINSTALL)
821         @list='$(libsciapi_scilab_la_etc_DATA)'; test -n "$(libsciapi_scilab_la_etcdir)" || list=; \
822         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
823         dir='$(DESTDIR)$(libsciapi_scilab_la_etcdir)'; $(am__uninstall_files_from_dir)
824 install-libsciapi_scilab_la_rootDATA: $(libsciapi_scilab_la_root_DATA)
825         @$(NORMAL_INSTALL)
826         @list='$(libsciapi_scilab_la_root_DATA)'; test -n "$(libsciapi_scilab_la_rootdir)" || list=; \
827         if test -n "$$list"; then \
828           echo " $(MKDIR_P) '$(DESTDIR)$(libsciapi_scilab_la_rootdir)'"; \
829           $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" || exit 1; \
830         fi; \
831         for p in $$list; do \
832           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
833           echo "$$d$$p"; \
834         done | $(am__base_list) | \
835         while read files; do \
836           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciapi_scilab_la_rootdir)'"; \
837           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" || exit $$?; \
838         done
839
840 uninstall-libsciapi_scilab_la_rootDATA:
841         @$(NORMAL_UNINSTALL)
842         @list='$(libsciapi_scilab_la_root_DATA)'; test -n "$(libsciapi_scilab_la_rootdir)" || list=; \
843         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
844         dir='$(DESTDIR)$(libsciapi_scilab_la_rootdir)'; $(am__uninstall_files_from_dir)
845 install-libsciapi_scilab_la_includeHEADERS: $(libsciapi_scilab_la_include_HEADERS)
846         @$(NORMAL_INSTALL)
847         @list='$(libsciapi_scilab_la_include_HEADERS)'; test -n "$(libsciapi_scilab_la_includedir)" || list=; \
848         if test -n "$$list"; then \
849           echo " $(MKDIR_P) '$(DESTDIR)$(libsciapi_scilab_la_includedir)'"; \
850           $(MKDIR_P) "$(DESTDIR)$(libsciapi_scilab_la_includedir)" || exit 1; \
851         fi; \
852         for p in $$list; do \
853           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
854           echo "$$d$$p"; \
855         done | $(am__base_list) | \
856         while read files; do \
857           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libsciapi_scilab_la_includedir)'"; \
858           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libsciapi_scilab_la_includedir)" || exit $$?; \
859         done
860
861 uninstall-libsciapi_scilab_la_includeHEADERS:
862         @$(NORMAL_UNINSTALL)
863         @list='$(libsciapi_scilab_la_include_HEADERS)'; test -n "$(libsciapi_scilab_la_includedir)" || list=; \
864         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
865         dir='$(DESTDIR)$(libsciapi_scilab_la_includedir)'; $(am__uninstall_files_from_dir)
866
867 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
868         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
869         unique=`for i in $$list; do \
870             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
871           done | \
872           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
873               END { if (nonempty) { for (i in files) print i; }; }'`; \
874         mkid -fID $$unique
875 tags: TAGS
876
877 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
878                 $(TAGS_FILES) $(LISP)
879         set x; \
880         here=`pwd`; \
881         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
882         unique=`for i in $$list; do \
883             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
884           done | \
885           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
886               END { if (nonempty) { for (i in files) print i; }; }'`; \
887         shift; \
888         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
889           test -n "$$unique" || unique=$$empty_fix; \
890           if test $$# -gt 0; then \
891             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
892               "$$@" $$unique; \
893           else \
894             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
895               $$unique; \
896           fi; \
897         fi
898 ctags: CTAGS
899 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
900                 $(TAGS_FILES) $(LISP)
901         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
902         unique=`for i in $$list; do \
903             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
904           done | \
905           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
906               END { if (nonempty) { for (i in files) print i; }; }'`; \
907         test -z "$(CTAGS_ARGS)$$unique" \
908           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
909              $$unique
910
911 GTAGS:
912         here=`$(am__cd) $(top_builddir) && pwd` \
913           && $(am__cd) $(top_srcdir) \
914           && gtags -i $(GTAGS_ARGS) "$$here"
915
916 distclean-tags:
917         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
918
919 distdir: $(DISTFILES)
920         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
921         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
922         list='$(DISTFILES)'; \
923           dist_files=`for file in $$list; do echo $$file; done | \
924           sed -e "s|^$$srcdirstrip/||;t" \
925               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
926         case $$dist_files in \
927           */*) $(MKDIR_P) `echo "$$dist_files" | \
928                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
929                            sort -u` ;; \
930         esac; \
931         for file in $$dist_files; do \
932           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
933           if test -d $$d/$$file; then \
934             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
935             if test -d "$(distdir)/$$file"; then \
936               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
937             fi; \
938             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
939               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
940               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
941             fi; \
942             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
943           else \
944             test -f "$(distdir)/$$file" \
945             || cp -p $$d/$$file "$(distdir)/$$file" \
946             || exit 1; \
947           fi; \
948         done
949 check-am: all-am
950         $(MAKE) $(AM_MAKEFLAGS) check-local
951 check: check-am
952 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
953 installdirs:
954         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciapi_scilab_la_etcdir)" "$(DESTDIR)$(libsciapi_scilab_la_rootdir)" "$(DESTDIR)$(libsciapi_scilab_la_includedir)"; do \
955           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
956         done
957 install: install-am
958 install-exec: install-exec-am
959 install-data: install-data-am
960 uninstall: uninstall-am
961
962 install-am: all-am
963         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
964
965 installcheck: installcheck-am
966 install-strip:
967         if test -z '$(STRIP)'; then \
968           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
969             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
970               install; \
971         else \
972           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
973             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
974             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
975         fi
976 mostlyclean-generic:
977
978 clean-generic:
979
980 distclean-generic:
981         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
982         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
983
984 maintainer-clean-generic:
985         @echo "This command is intended for maintainers to use"
986         @echo "it deletes files that may require special tools to rebuild."
987 clean: clean-am
988
989 clean-am: clean-generic clean-libtool clean-local \
990         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
991
992 distclean: distclean-am
993         -rm -rf ./$(DEPDIR)
994         -rm -f Makefile
995 distclean-am: clean-am distclean-compile distclean-generic \
996         distclean-local distclean-tags
997
998 dvi: dvi-am
999
1000 dvi-am:
1001
1002 html: html-am
1003
1004 html-am:
1005
1006 info: info-am
1007
1008 info-am:
1009
1010 install-data-am: install-data-local \
1011         install-libsciapi_scilab_la_etcDATA \
1012         install-libsciapi_scilab_la_includeHEADERS \
1013         install-libsciapi_scilab_la_rootDATA
1014
1015 install-dvi: install-dvi-am
1016
1017 install-dvi-am:
1018
1019 install-exec-am: install-pkglibLTLIBRARIES
1020
1021 install-html: install-html-am
1022
1023 install-html-am: install-html-local
1024
1025 install-info: install-info-am
1026
1027 install-info-am:
1028
1029 install-man:
1030
1031 install-pdf: install-pdf-am
1032
1033 install-pdf-am:
1034
1035 install-ps: install-ps-am
1036
1037 install-ps-am:
1038
1039 installcheck-am:
1040
1041 maintainer-clean: maintainer-clean-am
1042         -rm -rf ./$(DEPDIR)
1043         -rm -f Makefile
1044 maintainer-clean-am: distclean-am maintainer-clean-generic
1045
1046 mostlyclean: mostlyclean-am
1047
1048 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1049         mostlyclean-libtool
1050
1051 pdf: pdf-am
1052
1053 pdf-am:
1054
1055 ps: ps-am
1056
1057 ps-am:
1058
1059 uninstall-am: uninstall-libsciapi_scilab_la_etcDATA \
1060         uninstall-libsciapi_scilab_la_includeHEADERS \
1061         uninstall-libsciapi_scilab_la_rootDATA \
1062         uninstall-pkglibLTLIBRARIES
1063
1064 .MAKE: check-am install-am install-strip
1065
1066 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1067         clean clean-generic clean-libtool clean-local \
1068         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1069         distclean distclean-compile distclean-generic \
1070         distclean-libtool distclean-local distclean-tags distdir dvi \
1071         dvi-am html html-am info info-am install install-am \
1072         install-data install-data-am install-data-local install-dvi \
1073         install-dvi-am install-exec install-exec-am install-html \
1074         install-html-am install-html-local install-info \
1075         install-info-am install-libsciapi_scilab_la_etcDATA \
1076         install-libsciapi_scilab_la_includeHEADERS \
1077         install-libsciapi_scilab_la_rootDATA install-man install-pdf \
1078         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1079         install-ps-am install-strip installcheck installcheck-am \
1080         installdirs maintainer-clean maintainer-clean-generic \
1081         mostlyclean mostlyclean-compile mostlyclean-generic \
1082         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1083         uninstall-am uninstall-libsciapi_scilab_la_etcDATA \
1084         uninstall-libsciapi_scilab_la_includeHEADERS \
1085         uninstall-libsciapi_scilab_la_rootDATA \
1086         uninstall-pkglibLTLIBRARIES
1087
1088
1089 # This target enables tests for Scilab
1090 check-local: $(top_builddir)/scilab-bin test
1091         if test -d $(mydatadir)/tests; then \
1092           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1093         fi
1094 check-code:
1095         if test -f build.xml; then \
1096                 $(ANT) checkstyle; \
1097         fi
1098         if test -x "$(SPLINT)"; then \
1099                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1100         fi
1101 @NEED_JAVA_TRUE@java:
1102 # Some configurations needs to export JAVA_HOME in the current env
1103 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1104 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1105 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1106 @NEED_JAVA_TRUE@                $(ANT); \
1107 @NEED_JAVA_TRUE@        fi
1108
1109 @NEED_JAVA_TRUE@clean-java:
1110 # Some configurations needs to export JAVA_HOME in the current env
1111 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1112 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1113 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1114 @NEED_JAVA_TRUE@                $(ANT) clean; \
1115 @NEED_JAVA_TRUE@        fi;
1116
1117 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1118 # We call the target swig-build on the variable SWIG_WRAPPERS
1119
1120 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1121 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1122 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1123 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1124 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1125 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1126 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1127 @SWIG_TRUE@             done; \
1128 @SWIG_TRUE@     fi
1129
1130 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1131 # We call the target swig-build on the variable SWIG_WRAPPERS
1132
1133 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1134 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1135 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1136 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1137 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1138 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1139 @GIWS_TRUE@             done; \
1140 @GIWS_TRUE@     fi
1141
1142 @GIWS_TRUE@giws-exception:
1143 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1144 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1145 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1146
1147 macros:
1148         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1149                 echo "Error : Cannot build $< : Scilab has not been built"; \
1150         else \
1151                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1152         fi)
1153
1154 # Removes the macros
1155 clean-macros:
1156 # Removes macros (*.bin generated from .sci)
1157         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1158                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1159                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1160         done
1161
1162 test:
1163 # More tests could be added here
1164         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1165         if test -f build.xml -a $$USEANT -eq 1; then \
1166                 $(ANT) test; \
1167         fi
1168
1169 all-local: $(TARGETS_ALL)
1170
1171 .sci.bin:
1172         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1173         echo "Error : Cannot build $< : Scilab has not been build"; \
1174         else \
1175         echo "Creating $@"; \
1176         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1177         fi )
1178
1179 install-html-local:
1180
1181 install-data-local-local:
1182 # Mainly for javasci
1183         @if test -d $(srcdir)/javadoc; then \
1184                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1185         fi
1186 # If the user wants the help sources to be installed
1187 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1188 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1189 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1190 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1191 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1192 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1193 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1194 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1195 @INSTALL_HELP_XML_TRUE@           done ; \
1196 @INSTALL_HELP_XML_TRUE@         fi; \
1197 @INSTALL_HELP_XML_TRUE@  fi; \
1198 @INSTALL_HELP_XML_TRUE@ done; \
1199 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1200 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1201 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1202 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1203 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1204 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1205 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1206 @INSTALL_HELP_XML_TRUE@           done ; \
1207 @INSTALL_HELP_XML_TRUE@         fi; \
1208 @INSTALL_HELP_XML_TRUE@ fi
1209 install-data-local:
1210 # Install the tests
1211         @echo "-------- Install tests (if any) --------"; \
1212         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1213           if test -d $(srcdir)/$$dir/; then \
1214             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1215                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1216                     if test -d "$(srcdir)/$$dir/$$file"; then \
1217                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1218                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1219                     else \
1220                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1221                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1222                     fi \
1223                   done; \
1224           fi; \
1225         done
1226 # Install the help chapter
1227         @echo "-------- Install the help chapter (if any) --------"; \
1228         for lang in $(HELP_CHAPTERLANG); do \
1229                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1230                 if test -f $$HELPFILE; then \
1231                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1232                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1233                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1234                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1235                 fi; \
1236         done
1237 # Install the demos & examples
1238         @echo "-------- Install demos & examples (if any) --------"; \
1239         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1240           if test -d $(srcdir)/$$dir/; then \
1241             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1242                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1243                     if test -d "$(srcdir)/$$dir/$$file"; then \
1244                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1245                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1246                     else \
1247                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1248                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1249                     fi \
1250                   done; \
1251           fi; \
1252         done
1253 # Install the macros
1254         @echo "-------- Install macros (if any) --------"; \
1255         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1256           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1257                 if test -d $(srcdir)/$$dir/; then \
1258                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1259                         if test -n "$(MACROSSPECIALEXT)"; then \
1260                                 specialExtDir=""; \
1261                                 for specialExt in $(MACROSSPECIALEXT); do \
1262                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1263                                 done; \
1264                                 FILELIST="$$FILELIST $$specialExtDir"; \
1265                         fi; \
1266                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1267                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1268                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1269                   done; \
1270                 fi; \
1271         done
1272 # Install java files (.jar)
1273         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1274         echo "-------- Install jar files --------"; \
1275     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1276           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1277                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1278                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1279           done ; \
1280         fi
1281
1282 ########### CLEAN ###################
1283 # Clean help (generated automatically by Scilab)
1284 # It used to clean the macro (clean-macros) but this was causing
1285 # make clean && make to fail Scilab startup
1286 @NEED_JAVA_TRUE@clean-local: clean-java
1287 @NEED_JAVA_FALSE@clean-local:
1288
1289 distclean-local:
1290         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1291
1292 .PHONY: macros java swig giws
1293
1294 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1295 # Otherwise a system limit (for SysV at least) may be exceeded.
1296 .NOEXPORT: